= render Pajamas::CardComponent.new(card_options: { class: card_classes, data: { testid: card_testid }},
                                    header_options: { class: header_classes },
                                    body_options: { class: body_classes },
                                    footer_options: { class: footer_classes }) do |c|
  - c.with_header do
    = header_text
  - c.with_body do
    .gl-font-size-h1-xl.gl-font-weight-bold.gl-line-height-36.gl-mb-3
      = name
    .gl-font-size-h2.gl-font-weight-bold.gl-line-height-24.gl-mb-3
      = elevator_pitch
    .gl-display-flex
      .gl-font-weight-bold.gl-font-size-h1.gl-pt-2.gl-pr-2
        = "$"
      .gl-display-flex.gl-align-items-center
        .gl-font-weight-bold.gl-mb-4.billing-plan-card-price
          = price_per_month
        .gl-min-h-8.gl-mb-4
          .gl-mx-4
            = s_("BillingPlans|Per user/month")
          .gl-font-sm.gl-mt-0.gl-mx-4
            - if free?
              = s_("BillingPlans|No credit card required")
            - else
              = annual_price_text
    - unless free?
      = render Pajamas::ButtonComponent.new(href: cta_url, variant: :confirm, category: cta_category, button_options: { class: 'gl-mb-5', data: cta_data }) do
        = cta_text
  - c.with_footer do
    .gl-font-weight-bold.gl-font-lg.gl-mb-4
      = features_elevator_pitch
    %ul.gl-px-0.gl-list-style-none
      - features.each do |feature|
        %li.gl-text-gray-700.gl-line-height-20.gl-mb-4
          = sprite_icon('check', css_class: 'gl-text-purple-500 gl-mr-2')
          = feature.title
    - unless free?
      .gl-ml-6
        = link_to(learn_more_text, learn_more_url, target: '_blank', rel: 'noopener noreferrer')
